Bug 471269 - [QLogic 5.3 bug] qla2xxx - No NPIV for Loop connections.
[QLogic 5.3 bug] qla2xxx - No NPIV for Loop connections.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Marcus Barrow
Martin Jenner
: OtherQA, Regression
Depends On: 442946
Blocks: 415811
  Show dependency treegraph
 
Reported: 2008-11-12 13:39 EST by Marcus Barrow
Modified: 2009-06-20 04:07 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:59:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
disable vports in loopmode (1.90 KB, patch)
2008-11-12 14:27 EST, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2008-11-12 13:39:10 EST
FIbre channel does not support NPIV, virtual nports, for arbitrated loop connections, only for point to point connections.

This simple patch sets the value for maximum virtual ports to an acceptable value for the firmware.

This patch applies and builds cleanly with 2.6.18-122 and is observed to fix this problem on the NEC machine that reported it and also in testing at QLogic labs.
Comment 1 Andrius Benokraitis 2008-11-12 13:51:38 EST
I don't think this qualifies as a blocker.. will have to defer to Tom on this.
Comment 2 Andrius Benokraitis 2008-11-12 13:52:17 EST
Marcus, I don't see a patch attached as well...
Comment 3 Marcus Barrow 2008-11-12 14:03:33 EST

The patch is on the way. When I format it for posting to the kernel list I include the BZ number etc. So I need to create the BZ first.

Without this patch machines who's HBA are set to "Loop" mode will not be able to find their storage. The NEC machines seem to fall in this category and perhaps others too.

THis problem was reported by NEC in BZ 442946, which was the firmware update BZ. It seemed appropriate each bug to have it's own BZ, but if not I can re-use the other one.
Comment 4 Marcus Barrow 2008-11-12 14:27:16 EST
Created attachment 323377 [details]
disable vports in loopmode

Patch to disable vports in loop mode and bump the version to: 8.02.00.05.05.03-k
Comment 5 Andrius Benokraitis 2008-11-12 15:01:39 EST
OK - I'll move the original bug (bug 442946) to VERIFIED then...
Comment 6 Munehiro IKEDA 2008-11-12 18:55:42 EST
I confirmed the patch works well on the NEC machine which had showed the issue.
All expected LUNs are visible on both of only-4G-HBA and 2G/4G-HBA mixed condition.
Comment 7 Marcus Barrow 2008-11-12 19:54:22 EST
Changed back to 'all platforms". THis bug was found on an IA64 system, but would effect any system whose HBA with a connection  in Arbitrated Loop mode.
Comment 9 Don Zickus 2008-11-18 16:21:28 EST
in kernel-2.6.18-124.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 11 Munehiro IKEDA 2008-11-24 20:25:25 EST
kernel-2.6.18-124.el5 works well on NEC ia64 machine.
I confirmed both connection mode as Loop and Point-to-Point, and it's perfect.
Comment 13 errata-xmlrpc 2009-01-20 14:59:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.